babel-plugin-transform-es2015-parameters

    6.24.1 • Public • Published

    babel-plugin-transform-es2015-parameters

    Compile ES2015 default and rest parameters to ES5

    This plugin transforms ES2015 parameters to ES5, this includes:

    • Destructuring parameters
    • Default parameters
    • Rest parameters

    Installation

    npm install --save-dev babel-plugin-transform-es2015-parameters

    Caveats

    Default parameters desugar into let declarations to retain proper semantics. If this is not supported in your environment then you'll need the transform-block-scoping plugin.

    Usage

    Via .babelrc (Recommended)

    .babelrc

    {
      "plugins": ["transform-es2015-parameters"]
    }

    Via CLI

    babel --plugins transform-es2015-parameters script.js

    Via Node API

    require("babel-core").transform("code", {
      plugins: ["transform-es2015-parameters"]
    });

    Keywords

    Install

    npm i babel-plugin-transform-es2015-parameters

    DownloadsWeekly Downloads

    1,926,326

    Version

    6.24.1

    License

    MIT

    Last publish

    Collaborators

    • hzoo
    • loganfsmyth
    • danez
    • existentialism